package it.csi.demo.democomp.dto.miaapp;

import java.util.*;
import it.csi.demo.democomp.dto.*;
import it.csi.demo.democomp.dto.common.*;
import it.csi.demo.democomp.dto.nspersona.*;

import it.csi.demo.democomp.presentation.uiutils.*;
import flexjson.JSON;
import com.opensymphony.xwork2.conversion.annotations.*;
/**
 * Questo DTO incapsula tutto il contenuto informativo necessario all'esecuzione della
 * logica di business associata alla Schermata [cpHome]
 */
public class CpHomeModel extends BaseSessionAwareDTO {

	// il serial version uid e' fisso in quanto la classe in oggetto e' serializzabile
	// solo per la clusterizzazione della sessione web e non viene scambiata con altre
	// componenti.
	private static final long serialVersionUID = 1L;

	////////////////////////////////////////////////////////////////////
	/// application data
	////////////////////////////////////////////////////////////////////

	public void setAppDatapersone(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Persona> value) {
		getSession().put("appDatapersone", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Persona> getAppDatapersone() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Persona>) (getSession()
				.get("appDatapersone"));
	}

	public void setAppDatafiltroPersona(
			it.csi.demo.democomp.dto.nspersona.Persona value) {
		getSession().put("appDatafiltroPersona", value);
	}

	public it.csi.demo.democomp.dto.nspersona.Persona getAppDatafiltroPersona() {
		return (it.csi.demo.democomp.dto.nspersona.Persona) (getSession()
				.get("appDatafiltroPersona"));
	}

	public void setAppDataprovince(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia> value) {
		getSession().put("appDataprovince", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia> getAppDataprovince() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia>) (getSession()
				.get("appDataprovince"));
	}

	public void setAppDataregioni(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Regione> value) {
		getSession().put("appDataregioni", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Regione> getAppDataregioni() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Regione>) (getSession()
				.get("appDataregioni"));
	}

	public void setAppDataselTabellaIdPersona(java.lang.Integer value) {
		getSession().put("appDataselTabellaIdPersona", value);
	}

	public java.lang.Integer getAppDataselTabellaIdPersona() {
		return (java.lang.Integer) (getSession()
				.get("appDataselTabellaIdPersona"));
	}

	public void setAppDataselettoreOperazione(java.lang.String value) {
		getSession().put("appDataselettoreOperazione", value);
	}

	public java.lang.String getAppDataselettoreOperazione() {
		return (java.lang.String) (getSession()
				.get("appDataselettoreOperazione"));
	}

	public void setAppDatacittadino(
			it.csi.demo.democomp.dto.nspersona.Cittadino value) {
		getSession().put("appDatacittadino", value);
	}

	public it.csi.demo.democomp.dto.nspersona.Cittadino getAppDatacittadino() {
		return (it.csi.demo.democomp.dto.nspersona.Cittadino) (getSession()
				.get("appDatacittadino"));
	}

	public void setAppDatacomuni(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune> value) {
		getSession().put("appDatacomuni", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune> getAppDatacomuni() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune>) (getSession()
				.get("appDatacomuni"));
	}

	public void setAppDatacomuni2(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune> value) {
		getSession().put("appDatacomuni2", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune> getAppDatacomuni2() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Comune>) (getSession()
				.get("appDatacomuni2"));
	}

	public void setAppDataprovince2(
			java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia> value) {
		getSession().put("appDataprovince2", value);
	}

	public java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia> getAppDataprovince2() {
		return (java.util.ArrayList<it.csi.demo.democomp.dto.nspersona.Provincia>) (getSession()
				.get("appDataprovince2"));
	}

	////////////////////////////////////////////////////////////////////
	/// campi per widget semplici
	////////////////////////////////////////////////////////////////////

	////////////////////////////////////////////////////////////////////
	/// ulteriori campi comuni 
	////////////////////////////////////////////////////////////////////

	/////////////////////////////////////////
	/// property comuni a tutte le action
	/////////////////////////////////////////

	// riga selezionata in una eventuale tabella
	// NOTA: l'id della cella selezionata e' data da idRiga + idColonna
	private String _idRiga = "";

	public void setIdRiga(String val) {
		_idRiga = val;
	}

	public String getIdRiga() {
		return _idRiga;
	}

	// colonna selezionata in una eventuale tabella
	// NOTA: l'id della cella selezionata e' data da idRiga + idColonna
	private String _idColonna = "";

	public void setIdColonna(String val) {
		_idColonna = val;
	}

	public String getIdColonna() {
		return _idColonna;
	}

	/// parametri per cambio TAB

	private String selectedTabKey;

	public void setSelectedTabKey(String value) {
		selectedTabKey = value;
	}

	public String getSelectedTabKey() {
		return selectedTabKey;
	}

	private String selectedTabValue;

	public void setSelectedTabValue(String value) {
		selectedTabValue = value;
	}

	public String getSelectedTabValue() {
		return selectedTabValue;
	}

	/**
	 * @generated
	 */
	private List<TableFilter> filter;

	/**
	 * @generated
	 */
	public List<TableFilter> getFilter() {
		return filter;
	}

	/**
	 * @generated
	 */
	public void setFilter(List<TableFilter> filter) {
		this.filter = filter;
	}

	/**
	 * @generated
	 */
	private TableStatus tableStatus;

	/**
	 * @generated
	 */
	public TableStatus getTableStatus() {
		return tableStatus;
	}

	/**
	 * @generated
	 */
	public void setTableStatus(TableStatus tableStatus) {
		this.tableStatus = tableStatus;
	}

}
